## kmymoney2-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( kmymoney2 )
set( APP_VERSION 1.0.5 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )
include( kmm-macros.cmake )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support"                       OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_LIBOFX         "Enable support for OFX"                            ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL             "Build all"                     ON           )
option( BUILD_DOC             "Build documentation"           ${BUILD_ALL} )
option( BUILD_TRANSLATIONS    "Build translations"            ${BUILD_ALL} )
option( BUILD_DESIGNER_PLUGIN "Build plugin for TQt Designer" ${BUILD_ALL} )
option( BUILD_DEVELOPER_DOCS  "Build developer documentation" ${BUILD_ALL} )
option( BUILD_PDF_DOCS        "Build PDF documentation"       ${BUILD_ALL} )


##### configure checks

enable_testing( )
include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( kmymoney2 )
add_subdirectory( libkdchart )
add_subdirectory( libkgpgfile )


##### other data

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
tde_conditional_add_subdirectory( BUILD_DEVELOPER_DOCS developer-doc )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )
