=== libkdchart/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmm_kdchart (static)

tde_add_library( kmm_kdchart STATIC_PIC AUTOMOC
  SOURCES
    KDChart.cpp KDChartAreaPainter.cpp KDChartAxesPainter.cpp
    KDChartAxisParams.cpp KDChartBarPainter.cpp KDChartBaseSeries.cpp
    KDChartBWPainter.cpp KDChartCustomBox.cpp KDChartDataIntern.cpp
    KDChartHiLoPainter.cpp KDChartLinesPainter.cpp KDChartPainter.cpp
    KDChartParams.cpp KDChartParams_frame.cpp KDChartParams_io.cpp
    KDChartPiePainter.cpp KDChartPlaneSeries.cpp KDChartPolarPainter.cpp
    KDChartPropertySet.cpp KDChartRingPainter.cpp KDChartSeriesCollection.cpp
    KDChartTableBase.cpp KDChartTextPiece.cpp KDChartVectorSeries.cpp
    KDChartVectorTable.cpp KDChartWidget.cpp KDDrawText.cpp KDFrame.cpp
    KDFrameProfileSection.cpp KDXMLTools.cpp KDChartEnums.cpp
    KDChartAxisParamsWrapper.cpp KDChartCustomBoxWrapper.cpp
    KDChartParamsWrapper.cpp KDChartTableDataWrapper.cpp
)


##### kmm_kdchart (shared)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( kmm_kdchart SHARED AUTOMOC
  SOURCES
    dummy.cpp

  VERSION 0.0.0

  EMBED
    kmm_kdchart-static

  LINK
    tdecore-shared

  DESTINATION ${LIB_INSTALL_DIR}
)
