=== libkgpgfile/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kgpgfile (static)

tde_add_library( kgpgfile STATIC_PIC AUTOMOC
  SOURCES
    kgpgfile.cpp

  LINK
    tdecore-shared tdeui-shared tdeio-shared
)


##### other data

kmm_install_includes(
  FILES kgpgfile.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)
