=== kmymoney2/plugins/ofximport/CMakeLists.txt ===

add_subdirectory( dialogs )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/dialogs
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmm_ofximport (kpart)

tde_add_kpart( kmm_ofximport AUTOMOC
  SOURCES
    ofximporterplugin.cpp
    ofxpartner.cpp

  LINK
    ofximport-dialogs-static
    kmm_plugin-shared kmm_mymoney-shared
    tdecore-shared tdeui-shared tdeio-shared tdehtml-shared
    ${LIBOFX_LIBRARIES}

  DEPENDENCIES
    kmm-includes

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

install(
  FILES kmm_ofximport.rc
  DESTINATION ${DATA_INSTALL_DIR}/kmm_ofximport
)

tde_create_translated_desktop(
  SOURCE kmm_ofximport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)
