=== kmymoney2/wizards/newaccountwizard/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}/../wizardpages
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### newaccountwizard (static)

tde_add_library( newaccountwizard STATIC_PIC AUTOMOC
  SOURCES
    knewaccountwizard.cpp
    kinstitutionpagedecl.ui
    kaccounttypepagedecl.ui
    kbrokeragepagedecl.ui
    kschedulepagedecl.ui
    kgeneralloaninfopagedecl.ui
    kloandetailspagedecl.ui
    kloanpaymentpagedecl.ui
    kloanschedulepagedecl.ui
    kloanpayoutpagedecl.ui
    khierarchypagedecl.ui
    kaccountsummarypagedecl.ui

  DEPENDENCIES
    kmm-includes
    dialogs-static
)
