## kmymoney2-trinity 3.5.13.2

=== debian/changelog ===
kmymoney2-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:52:13 +0200

kmymoney2-trinity (1.0.4-0ubuntu0) maverick; urgency=low

  * Trinity build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 04 Jul 2010 17:25:00 -0600

kmymoney2 (1.0.4-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 18 Apr 2010 15:20:40 -0400

kmymoney2 (1.0.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Switch to source format 3.0 for a smaller tarball to upload

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 18 Feb 2010 13:09:45 -0500

kmymoney2 (1.0.2-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing, remaining change:
    - Compile --without-arts since aRts is no longer around

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 12:51:50 -0500

kmymoney2 (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 05 Oct 2009 10:01:13 +0200

kmymoney2 (1.0.2-0ubuntu1) karmic; urgency=low

  * Sync with Debian
  * New upstream release (LP: #432725)
  * Compile --without-arts since aRts is no longer around

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 17 Sep 2009 19:45:56 -0400

kmymoney2 (1.0.0-1) unstable; urgency=low

  * New upstream release. (Closes: #542503)
    - fix a crash when opening a custom report caused by an invalid chart type.
      (Closes: #522354)
  * Update debian/control:
    - Cleanup build dependency. Remove cdbs, gs-common, html2ps and
      libxml++2.6-dev.
    - Add libsqlite3-dev build dependency.
    - Bump Standards-Version from 3.8.0 to 3.8.3 (add debian/README.source).
  * Update debian/copyright:
    - Add Alvaro Soliverez.
    - Add Qt3 SQLite3 Library copyright.
  * Rename debian/docs to debian/kmymoney2.docs file.
  * Update debian/kmymoney2.install:
    - Add libsqlite3.so (Qt3 SQLite3 driver).
  * Remove files:
    - debian/kmymoney2.lintian-overrides
    - debian/kmymoney2.postinst
    - debian/kmymoney2.postrm
  * Update debian/rules:
    - Convert to dh usage.
    - Add a workaround for libsqlite3.so installation.

 -- Fathi Boudra <fabo@debian.org>  Sat, 22 Aug 2009 23:49:59 +0200

kmymoney2 (0.9.3-1) unstable; urgency=low

  * New upstream release. (Closes: #516980)
  * Fix some lintian warnings:
    - Build-depends on chrpath to remove RPATH.
    - Add missing ${misc:Depends}.
  * Update copyright. Some informations were wrong.
  * Update installed files: add OFX plugin. (Closes: #517145)
  * Cleanup lintian overrides.
  * Add postinst and postrm scripts for update-menus call and dh_desktop
    usage.
  * Update rules: call dh_desktop.

 -- Fathi Boudra <fabo@debian.org>  Sun, 08 Mar 2009 14:00:54 +0100

kmymoney2 (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Update lintian-overrides libkmm-mymoney5
  * Add Build-Depends: libxml++2.6-dev

 -- Mark Purcell <msp@debian.org>  Tue, 21 Oct 2008 22:49:57 +1100

kmymoney2 (0.9-3) unstable; urgency=low

  * Upgrade to Standards-Version: 3.8.0 - no changes necessary
  * Remove unnecessary quilt Build-Depends: Fixes lintian:quilt-build-
    dep-but-no-series-file
  * Cleanup diff - Fixes lintian:patch-system-but-direct-changes-in-diff
  * Add lintian-overrides - Fixes lintian:no-symbols-control-file
  * Set debhelper compatibility level 7

 -- Mark Purcell <msp@debian.org>  Tue, 09 Sep 2008 21:47:40 +1000

kmymoney2 (0.9-2) unstable; urgency=low

  * Add kmymoney-dev package to fix kmymoney2-plugin-aqbanking FTBFS.
    (Closes: #482625)

 -- Fathi Boudra <fabo@debian.org>  Sat, 24 May 2008 18:40:44 +0200

kmymoney2 (0.9-1) unstable; urgency=low

  * New upstream release. (Closes: #360022, #480487)
  * Recommend kmymoney2-plugin-aqbanking. Thanks to Micha Lenk for his work.
    (Closes: #434278)
  * Split architecture independent data into kmymoney2-common package.
    (Closes: #473054)
  * Update copyright file: add KDChart copyright.

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 May 2008 08:55:20 +0200

kmymoney2 (0.8.9-1) unstable; urgency=low

  * New upstream release. (Closes: #472827)
  * Remove patches merged upstream:
    * 07_ofximport_ldflags
    * 08_remove_deprecated_miniicon
    * 10_fix_gcc4.3

 -- Fathi Boudra <fabo@debian.org>  Sat, 05 Apr 2008 10:43:03 +0200

kmymoney2 (0.8.8-2) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  * Team upload to address FTBFS with GCC 4.3.
  * Patch to fix FTBFS with GCC 4.3. (Closes: #455675)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 23 Mar 2008 18:52:44 +0100

kmymoney2 (0.8.8-1) unstable; urgency=low

  * New upstream release. (Closes: #451785, #434278, #455675, #460414)

  [Fathi Boudra]
  * Bump compat to 6.
  * Update my e-mail address.
  * Bump debhelper to 6.
  * Switch to quilt patch system.
  * Replace automake1.9 build dependency by automake.
  * Add libtool build dependency.
  * Bump Standard-Version to 3.7.3.
  * Use Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Update lintian override.
  * Update menu section to latest Debian menu policy.
  * Build with --as-needed linker flag.
  * Add clean target. Useful for create-buildprep script.
  * Add patches:
    * Update admin directory.
    * Update libtool.m4.in.
    * Fix ofximport plugin LDFLAGS.
    * Remove deprecated miniicon entry from desktop file.

  [Mark Purcell]
  * Remove get-orig-source targets. sf.net sillyness.

 -- Fathi Boudra <fabo@debian.org>  Sun, 23 Dec 2007 18:00:06 +0100

kmymoney2 (0.8.7-2) unstable; urgency=low

  * Don't build developer pdf docs, we didn't ship anyway
    - FTBFS: Bus error in ps2pdf14 (Closes: #434676)

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jul 2007 22:05:51 +0100

kmymoney2 (0.8.7-1) unstable; urgency=low

  * New upstream release
    - Upstream changlog: Fixed #1723325 (Cannot quit the program)

