=== debian/control ===
Source: kmymoney2-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, chrpath, automake, libtool, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3, recode, html2ps
Standards-Version: 3.8.4

Package: kmymoney2-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, ${misc:Depends}, kmymoney2-common-trinity (>= ${source:Version})
Replaces: kmymoney2-kde3 (<< 4:14.0.0~), kmymoney2-trinity (<< 4:14.0.0~)
Breaks: kmymoney2-kde3 (<< 4:14.0.0~), kmymoney2-trinity (<< 4:14.0.0~)
Recommends: kmymoney2-plugin-aqbanking-trinity
Description: personal finance manager for TDE
 KMyMoney is the Personal Finance Manager for TDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney2-common-trinity
Architecture: all
Depends: ${misc:Depends}
Replaces: kmymoney2-common-kde3 (<< 4:14.0.0~), kmymoney2-common-trinity (<< 4:14.0.0~)
Breaks: kmymoney2-common-kde3 (<< 4:14.0.0~), kmymoney2-common-trinity (<< 4:14.0.0~)
Recommends: kmymoney2-trinity (>= ${source:Version})
Description: KMyMoney architecture independent files
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney2' package installed, you will hardly find this package useful.

Package: kmymoney2-trinity-dev
Section: libdevel
Architecture: any
Replaces: kmymoney2-kde3-dev (<< 4:14.0.0~), kmymoney2-trinity-dev (<< 4:14.0.0~)
Breaks: kmymoney2-kde3-dev (<< 4:14.0.0~), kmymoney2-trinity-dev (<< 4:14.0.0~)
Depends: ${misc:Depends}, kmymoney2-trinity (= ${binary:Version})
Description: KMyMoney development files
 This package contains development files needed for KMyMoney plugins.
