=== debian/watch ===
version=3
http://sf.net/kmymoney2/kmymoney2-([\d].[\d].[\d])\.tar\.bz2 debian svn-upgrade
