## kmymoney2-trinity 14.0.12

=== debian/changelog ===
kmymoney2-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 28 Apr 2022 23:32:11 +0200
