## kmymoney2-trinity 14.0.13

=== debian/changelog ===
kmymoney2-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Sep 2022 13:25:49 +0200
