## kmymoney2-trinity 14.1.0

=== debian/changelog ===
kmymoney2-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 20 Jan 2023 22:26:39 +0100
