=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, chrpath, automake, libtool, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3, recode, html2ps
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3
 Standards-Version: 3.8.4
 
 Package: kmymoney2-trinity
