## kmymoney2-trinity 14.1.3

=== debian/changelog ===
kmymoney2-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Aug 2024 23:09:48 +0200
