## kmymoney2-trinity 14.1.4

=== debian/changelog ===
kmymoney2-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 21 Apr 2025 23:11:26 +0200
