## kmymoney2-trinity 14.1.5~pre1

=== debian/changelog ===
kmymoney2-trinity (4:14.1.5~pre1-0ubuntu18.04.0+3) bionic; urgency=low

  * Automated git build for 1492adbbf398f4a06fb3a8e999128c3ac1780dbe
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
