## kmymoney2-trinity 14.1.5

=== debian/changelog ===
kmymoney2-trinity (4:14.1.5-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Nov 2025 22:11:58 +0100
