## kmymoney2-trinity 14.1.6~pre1

=== debian/changelog ===
kmymoney2-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 415291e4fd08e0a0232fe035d0f8748fabe63fee
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 22:37:00 +0100
