## kmymoney2-trinity 14.1.6~pre2

=== debian/changelog ===
kmymoney2-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 12ccffc7e701124fa4dab3b9a5dc3ec4d4b675c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:54:21 +0100
