## kmymoney2-trinity 14.1.6~pre4

=== debian/changelog ===
kmymoney2-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 52aa61e9725698f47a1bc26c0e283e67f13d6646
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 09:26:53 +0100
