## kmymoney2-trinity 14.2.0~pre66

=== debian/changelog ===
kmymoney2-trinity (4:14.2.0~pre66-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for f49fd2dc8e23f80732e79fa0eb80ff1059fa33b3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
