## kmymoney2-trinity 14.2.0~pre68

=== developer-doc/CMakeLists.txt ===

add_subdirectory( phb )
