=== developer-doc/phb/CMakeLists.txt ===

set( STYLESHEET tde-nochunk.xsl )


##### generate developer documentation

add_custom_command(
  OUTPUT phb.html
  COMMENT "Generating developer documentation"
  COMMAND ${KDE3_MEINPROC_EXECUTABLE}
    --stylesheet ${DATA_INSTALL_DIR}/ksgmltools2/customization/${STYLESHEET}
    ${CMAKE_CURRENT_SOURCE_DIR}/phb.docbook --stdout |
    ${ICONV_EXECUTABLE} -f ISO-8859-1 -t UTF-8 |
    ${SED_EXECUTABLE} "s/ISO-8859-1/UTF-8/g" > phb.html
)
add_custom_target( phb-docs-html ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/phb.html
)


##### generate pdf for developer documentation

if( BUILD_PDF_DOCS)
  add_custom_command(
    OUTPUT kmymoney-phb.pdf
    COMMENT "Generating pdf for developer documentation"
    COMMAND ${KDE3_MEINPROC_EXECUTABLE}
      --stylesheet ${DATA_INSTALL_DIR}/ksgmltools2/customization/${STYLESHEET}
      ${CMAKE_CURRENT_SOURCE_DIR}/phb.docbook --stdout |
      ${HTML2PS_EXECUTABLE} -n |
      ${PS2PDF_EXECUTABLE} - kmymoney-phb.pdf
  )
  add_custom_target( phb-docs-pdf ALL
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/kmymoney-phb.pdf
  )
endif()
