=== kmymoney2/misc/CMakeLists.txt ===

install(
  FILES financequote.pl
  DESTINATION ${DATA_INSTALL_DIR}/kmymoney2/misc
)
