=== kmymoney2/dialogs/settings/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### settings (static)

tde_add_library( settings STATIC_PIC AUTOMOC
  SOURCES
    ksettingsgeneraldecl.ui
    ksettingsgeneral.cpp
    ksettingsregisterdecl.ui
    ksettingsregister.cpp
    ksettingsgpgdecl.ui
    ksettingsgpg.cpp
    ksettingscolorsdecl.ui
    ksettingscolors.cpp
    ksettingsfontsdecl.ui
    ksettingsfonts.cpp
    ksettingsschedulesdecl.ui
    ksettingsschedules.cpp
    ksettingsonlinequotesdecl.ui
    ksettingsonlinequotes.cpp
    ksettingshomedecl.ui
    ksettingshome.cpp
    ksettingsforecastdecl.ui
    ksettingsforecast.cpp
    ksettingsplugins.cpp

  LINK
    converter-static

  DEPENDENCIES
    kmm-includes
)
