=== kmymoney2/mymoney/storage/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### storage (static)

tde_add_library( storage STATIC_PIC AUTOMOC
  SOURCES
    imymoneystorageformat.cpp
    mymoneystoragexml.cpp
    mymoneystoragedump.cpp
    mymoneyseqaccessmgr.cpp
    mymoneydatabasemgr.cpp
    imymoneystorage.cpp
    imymoneyserialize.cpp
    mymoneystorageanon.cpp
    mymoneystoragesql.cpp

  DEPENDENCIES
    kmm-includes
)


##### storagetest (static)

tde_add_library( storagetest STATIC_PIC AUTOMOC
  SOURCES
    mymoneyseqaccessmgrtest.cpp
    mymoneymaptest.cpp
    mymoneydatabasemgrtest.cpp

  LINK
    storage-static

  DEPENDENCIES
    kmm-includes

  EXCLUDE_FROM_ALL
)


##### other data

kmm_install_includes(
  FILES
    imymoneystorage.h
    imymoneyserialize.h
    imymoneystorageformat.h
    mymoneystoragesql.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)
