=== kmymoney2/wizards/wizardpages/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### wizardpages (static)

tde_add_library( wizardpages STATIC_PIC AUTOMOC
  SOURCES
    userinfodecl.ui
    userinfo.cpp
    currencydecl.ui
    currency.cpp
    accountsdecl.ui
    accounts.cpp

  DEPENDENCIES
    kmm-includes
)
