=== debian/changelog ===
kmymoney2-trinity (4:14.2.0~pre68-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 52a4130ab10fc94f44502f9df3397391b81b962e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Nov 2025 14:16:29 +0100
