## kmymoney2-trinity 14.2.0~pre69

=== debian/changelog ===
kmymoney2-trinity (4:14.2.0~pre69-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 8f230b314e64ad60634ef44f6db6865c02f28a1c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:02:05 +0100
