=== debian/changelog ===
kmymoney2-trinity (4:14.2.0~pre71-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 971b30636f0ff9c089de972218cfcc64c4842737
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 02:42:30 +0100
